import type { ElementType } from "react";
import type { ListProps } from "../../../types";
/**
 * @public
 * React component.
 * {@link ListProps}.
 * Small abstraction, which in 90% cases allows to avoid hook boilerplate.
 */
declare const List: <T extends ElementType = "div">({ model, children: Item, itemData, component, header, footer, getKey, tabIndex, style, ...props }: ListProps<T>) => import("react/jsx-runtime").JSX.Element;
export default List;
